<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: Data provided by the m17n database</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li class="current"><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
</div>
<div class="contents">


<h1><a class="anchor" id="m17nDBData">Data provided by the m17n database </a></h1><ul>
<li>
<a class="el" href="m17nDBData.html#charprop-list">Character Property</a> </li>
<li>
<a class="el" href="m17nDBData.html#mim-list">Input method</a> </li>
<li>
<a class="el" href="m17nDBData.html#flt-list">Font Layout Table</a> </li>
<li>
<a class="el" href="m17nDBData.html#fontset-list">Fontset</a> </li>
<li>
<a class="el" href="m17nDBData.html#misc-list">The other data</a> </li>
</ul>
<h2><a class="anchor" id="charprop-list">
Character Property</a></h2>
<ul>
<li>
<p class="startli">CATEGORY.tab</p>
<p class="endli">Unicode general category for each character that is available as <a class="el" href="group__m17nCharacter.html#gad6d719ce33cdd01171e8a3773d08af09" title="Key for general category.">Mcategory</a> property. </p>
</li>
<li>
<p class="startli">COMBINE.tab</p>
<p class="endli">Unicode combining class for each character that is available as <a class="el" href="group__m17nCharacter.html#ga6e59888c09af64ee3b20208bf1b2de6e" title="Key for canonical combining class.">Mcombining_class</a> property. </p>
</li>
<li>
<p class="startli">BIDI.tab</p>
<p class="endli">Unicode BIDI category for each character that is available as <a class="el" href="group__m17nCharacter.html#ga35ac97a9caf868b146b1843d4c6db02f" title="Key for bidi category.">Mbidi_category</a> property. </p>
</li>
<li>
<p class="startli">CASE-S.tab</p>
<p class="endli">Unicode case-folding mapping of each character that is available as <a class="el" href="group__m17nCharacter.html#ga5c971245e8af385056e6730aa6446c64" title="Key for corresponding single lowercase character.">Msimple_case_folding</a> property. </p>
</li>
<li>
<p class="startli">CASE-C.tab</p>
<p class="endli">Unicode complicated case-folding mapping of each character that is available as <a class="el" href="group__m17nCharacter.html#gae5e8271f68619d95a70930c18bc48220" title="Key for corresponding multiple lowercase characters.">Mcomplicated_case_folding</a> property. </p>
</li>
<li>
<p class="startli">NAME.tab</p>
<p class="endli">Unicode character name for each character that is available as <a class="el" href="group__m17nCharacter.html#ga4848713c0a3c225f3600e10d9ae56631" title="Key for character name.">Mname</a> property. </p>
</li>
<li>
<p class="startli">SCRIPT.tab</p>
<p class="endli">Unicode script name for each character that is available as <a class="el" href="group__m17nCharacter.html#ga1efea11830fa151fad724fbdc4212750" title="Key for script.">Mscript</a> property. </p>
</li>
<li>
<p class="startli">CASED.tab</p>
<p class="endli">Unicode properties for case operations. Integer value 1 means cased (D47, Unicode 4.0, p.89), 2 means case-ignorable (D47a, Unicode 4.1.0), and 3 means both. Available as <a class="el" href="group__m17nCharacter.html#ga4df1027f7239776ec28478de769f0e97" title="Key for values used in case operation.">Mcased</a> property. </p>
</li>
<li>
<p class="startli">SOFT-DOTTED.tab</p>
<p class="endli">Unicode property for case operations. Available as <a class="el" href="group__m17nCharacter.html#ga54dd86441b0b2829c6c482d509ee02c3" title="Key for values used in case operation.">Msoft_dotted</a> property. </p>
</li>
<li>
<p class="startli">CASE-MAPPING.tab</p>
<p class="endli">Unicode case mapping of each character that is available as <a class="el" href="group__m17nCharacter.html#gabf5314e978cea3ca60461022c03d843a" title="Key for values used in case operation.">Mcase_mapping</a> property. </p>
</li>
<li>
<p class="startli">BLOCKS.tab</p>
<p>Unicode fallback script name for each character that is available as <a class="el" href="group__m17nCharacter.html#ga262e95cb77fc8470863bf2ee1fc6332b" title="Key for script block name.">Mblock</a> property. Generated manually by referring UCD Blocks.txt.</p>
<p class="endli"></p>
</li>
</ul>
<h2><a class="anchor" id="mim-list">
Input method</a></h2>
<p>See <a class="el" href="m17nDBFormat.html#mdbIM">Input Method</a> for the format of these files. </p>
<ul>
<li>
<p class="startli">am-sera.mim (language:am name:sera 
 icon:<img src="icon-am-sera.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Amharic input method with SERA.
For more information, see the page http://www.geez.org/IM/.
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">ar-kbd.mim (language:ar name:kbd 
 icon:<img src="icon-ar-kbd.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Input Method for Arabic simulating Arabic keyboard (MS Windows).
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">as-itrans.mim (language:as name:itrans 
 icon:<img src="icon-as-itrans.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Assamese input method by ITRANS transliteration.
For the detail of ITRANS, see the page:
  &lt;http://www.aczoom.com/itrans/&gt;
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">bn-itrans.mim (language:bn name:itrans 
 icon:<img src="icon-bn-itrans.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Bengali input method by ITRANS transliteration.

Itrans Bengali Keymap Layout created by Avinash Chopde in
accordance with the details in the following link:

http://www.aczoom.com/itrans/beng/node4.html

Key Summary:

The consonant alphabets are represented as half-characters by
default i.e. k = ক্ . To complete the character please use 'a'
representing 'অ' i.e. ka=ক. Consonant conjuncts can be created by
writing the consonant characters in sequential order. To complete
the conjunct either 'অ' or any other dependent vowel [অ (a),
া(aa), ি(i), ী(ii), ু(u), ূ(uu), ে(e), ৈ(ai), ো (o), ৌ (au)] needs
to be added at the end.

E.g. ক্রিয়া = k+r+i+Y+A

To write 'Khaanda-ta' (ৎ) use the key combination : t.h

Detailed instructions for typing are available at the above mentioned link

The following keysequences are not defined in the mentioned page,
but added for users' sake:

Ch JN shh yh dny LLi L^i RRI R^I LLI L^I # $ ^ * ]
Shift-SPC Control-SPC
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">bn-unijoy.mim (language:bn name:unijoy 
 icon:<img src="icon-bn-unijoy.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Bengali input method simulating Unijoy keyboard layout.
  &lt;http://ekushey.org/projects/shadhinota/uni_joy.html&gt;
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">bo-tcrc.mim (language:bo name:tcrc 
 icon:none
 )</p>
<div class="fragment"><pre class="fragment">
Tibetan input method using the TCRC keyboard layout.
For more information, see the page:
  http://www.tibet.net/download/tcrckbd.rtf
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">bo-wylie.mim (language:bo name:wylie 
 icon:<img src="icon-bo-wylie.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Tibetan input method based on the Wylie transliteration.
It is actually the re-implementation of Emacs' tibetan-wylie input method,
and is slightly different from Extended Wylie Transliteration Scheme (EWTS).
The exact EWTS-based input method is in bo-ewts.mim.
</pre></div> </li>
<li>
cjk-util.mim (extra-name:nil, only for inclusion) <div class="fragment"><pre class="fragment">
Provide utilities for CJK input methods.
This is acutually not a standalone input method, but is expected
to be included in the other input method (e.g. zh-py).

The fullwidth mode is turned on by typing "&gt;&gt;", and turned off
by typing "&lt;&lt;".

The single fullwidth mode is turned on by typing "Z".  In this
mode, any key typed is converted to the fullwidth character and
is inserted, then the mode is turned off.
</pre></div> </li>
<li>
<p class="startli">cmc-kbd.mim (extra-name:nil, only for inclusion) Not yet officially released.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">da-post.mim (language:da name:post 
 icon:none
 )</p>
<div class="fragment"><pre class="fragment">
Danish input method with postfix modifiers.
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">dv-phonetic.mim (language:dv name:phonetic 
 icon:<img src="icon-dv-phonetic.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Dhivehi input method simulating the Dhivehi phonetic keyboard.
The layout is approved by the Molvidian Ministry of
Communication, Science and Technology.
  &lt;http://www.mcst.gov.mv/News_and_Events/xpfonts.htm&gt;
</pre></div> </li>
<li>
<p class="startli">el-kbd (language:el name:kbd  
<img src="icon-el-kbd.png" border="1" style="vertical-align:middle;">
 )</p>
 
<pre class="fragment"><div class="fragment">
 Input method for Greek simulating Greek keyboard.<br/>
 </p>
<div align="center">
<img src="el-kbd.png" alt="el-kbd.png"/>
<p><strong>Keyboard Layout</strong></p></div>
  
</div></pre>
<p class="endli"></p>
</li>
<li>
<p class="startli">fa-isiri.mim (language:fa name:isiri 
 icon:<img src="icon-fa-isiri.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Farsi input method simulating ISIRI 2901-1994 keyboard layout.
This is for typing Farsi by Arabic characters.
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">fr-azerty.mim (language:fr name:azerty 
 icon:none
 )</p>
<div class="fragment"><pre class="fragment">
Simulating Azerty keyboard on English keyboard.

     &amp;1  é2  "3  '4  (5  -6  è7  _8  ç9  à0  )°  =_  ²~
      aA  zZ  eE  rR  tT  yY  uU  iI  oO  pP  ^¨  $£
       qQ  sS  dD  fF  gG  hH  jJ  kK  lL  mM  ù%  *|
        wW  xX  cC  vV  bB  nN  ,?  ;.  :/  !§

'[' and '{' are used as a dead key to type a character with the
circumflex and diaeresis respectively (e.g. '[' 'e' -&gt; "ê").

'Alt-2' and 'Alt-7' are used as a dead key to type a character
with tilde and grave respectively (e.g. 'Alt-2' 'n' -&gt; "ñ").

'Ctrl-Alt-2' and 'Ctrl-Alt-7' can be used as 'Alt-2' and 'Alt-7'
respectively.

Azerty keyboard has one more key at the bottom left corner for
inputting "&lt;" and "&gt;".  As a normal English keyboard doesn't
have such a key left, type '&lt;' and '&gt;' twice for "&lt;" and "&gt;"
respectively.
</pre></div> </li>
<li>
<p class="startli">global.mim (extra-name:nil, only for inclusion)</p>
<div class="fragment"><pre class="fragment">
グローバル変数及びグローバルコマンドの定義
これ自体は入力メソッドではなく、グローバル変数の説明と値、
グローバルコマンドの説明とキーバインドを提供するもの。
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">grc-mizuochi.mim (language:grc name:mizuochi 
 icon:none
 )</p>
<div class="fragment"><pre class="fragment">
Mizuochi input method for classical Greek.

-------------------------------------
character     capital         small
-------------------------------------
alpha           A               a
beta            B               b
gamma           G               g
delta           D               d
epsilon         E               e
zeta            Z               z
eta             H               h
theta           Q               q
iota            I               i
kappa           K               k
lamda           L               l
mu              M               m
nu              H               n
xi              X               x
omicron         O               o
pi              P               p
rho             R               r
sigma           S               s
final sigma                     j
tau             T               t
upsilon         U               u
phi             F               f
chi             C               c
psi             Y               y
omega           W               w
-------------------------------------
sampi                           !
digamma         #
stigma                          $
koppa           &amp;               %
-------------------------------------

------------------------
mark            key
------------------------
ypogegrammeni   J
psili           '  or  v
dasia           `  or  V
oxia            /
varia           ?
perispomeni     \  or  ^
dialytika       "
ano teleia      :
erotimatiko     ;
----------------------
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">gu-itrans.mim (language:gu name:itrans 
 icon:<img src="icon-gu-itrans.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Gujarati input method by ITRANS transliteration.
For the detail of ITRANS, see the page:
  &lt;http://www.aczoom.com/itrans/&gt;
</pre></div> </li>
<li>
<p class="startli">he-kbd (language:he name:kbd  
<img src="icon-he-kbd.png" border="1" style="vertical-align:middle;">
 )</p>
 
<pre class="fragment"><div class="fragment">
 Input method for Hebrew simulating Hebrew keyboard.<br/>
 </p>
<div align="center">
<img src="he-kbd.png" alt="he-kbd.png"/>
<p><strong>Keyboard Layout</strong></p></div>
  
</div></pre>
<p class="endli"></p>
</li>
<li>
<p class="startli">hi-itrans.mim (language:hi name:itrans 
 icon:<img src="icon-hi-itrans.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Hindi input method by ITRANS transliteration.
For the detail of ITRANS, see the page:
  &lt;http://www.aczoom.com/itrans/&gt;
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">hi-typewriter.mim (language:hi name:typewriter 
 icon:<img src="icon-hi-typewriter.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Hindi input method with `typewriter' method.
Still experimental.
</pre></div> </li>
<li>
<p class="startli">hr-kbd (language:hr name:kbd  
<img src="icon-hr-kbd.png" border="1" style="vertical-align:middle;">
 )</p>
 
<pre class="fragment"><div class="fragment">
 Input method for Croatian.<br/>
 Simulating Croatian Latin keyboard on American keyboard.<br/>
 </p>
<div align="center">
<img src="hr-kbd.png" alt="hr-kbd.png"/>
<p><strong>Keyboard Layout</strong></p></div>
  
</div></pre>
 </li>
<li>
<p class="startli">hy-kbd (language:hy name:kbd  
<img src="icon-hy-kbd.png" border="1" style="vertical-align:middle;">
 )</p>
 
<pre class="fragment"><div class="fragment">
 Input method for Armenian.<br/>
 Simulating Eastern Armenian keyboard on American keyboard.<br/>
 </p>
<div align="center">
<img src="hy-kbd.png" alt="hy-kbd.png"/>
<p><strong>Keyboard Layout</strong></p></div>
  
</div></pre>
<p class="endli"></p>
</li>
<li>
<p class="startli">ispell.mim (language:en name:ispell 
 icon:<img src="icon-en-ispell.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Input method for English using ISPELL as a spell checker.
It uses the loadable module libmimx-ispell.so to communicate with
ISPELL program.  You can check the spelll of typed word by TAB
key.  Not for an actual use, but for demonstrating what can be
done by the m17n input method.
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">ja-anthy.mim (language:ja name:anthy 
 icon:<img src="icon-ja-anthy.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Japanese input method with Anthy as a kana-kanji converter.
Typed roma-ji is at first converted to Hiragana,
and Space key converts the Hiragana sequences
to Kanji-Hiragana mixed sequence.

This input method uses the loadable module libmimx-anthy.so to
communicate with Anthy.  For more detail about Anthy, see the page
  &lt;http://sourceforge.jp/projects/anthy/&gt;.
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">ja-tcode.mim (language:ja name:tcode 
 icon:<img src="icon-ja-tcode.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Input method for Japanese with TCODE.
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">ja-trycode.mim (language:ja name:trycode 
 icon:none
 )</p>
<div class="fragment"><pre class="fragment">
Input method for Japanese with TRY-CODE.  See
&lt;http://www.m17n.org/ntakahas/npx/aggressive/aggressive4.en.html&gt;
for the details.
</pre></div> </li>
<li>
<p class="startli">ka-kbd (language:ka name:kbd  
<img src="icon-ka-kbd.png" border="1" style="vertical-align:middle;">
 )</p>
 
<pre class="fragment"><div class="fragment">
 Input method for Georgian simulating Georgian keyboard.<br/>
 </p>
<div align="center">
<img src="ka-kbd.png" alt="ka-kbd.png"/>
<p><strong>Keyboard Layout</strong></p></div>
 You can also input more characters by the following key sequences:<br/>
 [type a key sequence to insert the corresponding character]<br/>
 </p>
<div align="center">
<img src="ka-kbd2.png" alt="ka-kbd2.png"/>
</div>
   
</div></pre>
<p class="endli"></p>
</li>
<li>
<p class="startli">kk-arabic.mim (language:kk name:arabic 
 icon:<img src="icon-kk-arabic.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Kazakh (with Arabic script) input method by transliteration.
  1   2   3   4   5   6   7   8   9  10  11  12  13  14  15  16  17
  a   A   b   v   g   R   d   e   j   z   y   k   q   l   m   n   N

 18  19  20  21  22  23  24  25  26  27  28  29  30  31  32  33
  o   O   p   r   s   t   w   u   U   f   H   h   c   S   I   i
</pre></div> </li>
<li>
<p class="startli">kk-kbd (language:kk name:kbd  
<img src="icon-kk-kbd.png" border="1" style="vertical-align:middle;">
 )</p>
 
<pre class="fragment"><div class="fragment">
 Input method for Kazakh written in the Cyrillic script.<br/>
 Simulating Kazakh keyboard.<br/>
 </p>
<div align="center">
<img src="kk-kbd.png" alt="kk-kbd.png"/>
<p><strong>Keyboard Layout</strong></p></div>
  
</div></pre>
<p class="endli"></p>
</li>
<li>
<p class="startli">km-yannis.mim (language:km name:yannis 
 icon:<img src="icon-km-yannis.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Khmer input method suggested by Dr. Yannis Haralambous.
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">kn-itrans.mim (language:kn name:itrans 
 icon:<img src="icon-kn-itrans.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Kannada input method by ITRANS transliteration.
For the detail of ITRANS, see the page:
  &lt;http://www.aczoom.com/itrans/&gt;
There are few changes from the ITRANS by Hari Prasad Nadig,
Kannada l10n Team, kannada.l10n@gmail.com
  &lt;http://kannada.sourceforge.net&gt;
on 18 Aug 2005. 
</pre></div> </li>
<li>
<p class="startli">ko-han2 (language:ko name:han2  
<img src="icon-ko-han2.png" border="1" style="vertical-align:middle;">
 )</p>
 
<pre class="fragment"><div class="fragment">
<p>Hangul input method with 2벌식.<br/>
</p>
<p>This input method uses this keyboard layout:<br/>
 </p>
<div align="center">
<img src="ko-han2.png" alt="ko-han2.png"/>
<p><strong>Keyboard Layout</strong></p></div>
  
</div></pre>
<p class="endli"></p>
</li>
<li>
<p class="startli">ko-romaja.mim (language:ko name:romaja 
 icon:<img src="icon-ko-romaja.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Hangul input method with romaja keys.
The roman-transliteration rules follows that of IIIMF shown in
the page &lt;http://www3.sympatico.ca/d.moser/hangul.html&gt;.

Common to CHOSEONG and JONGSEONG:
  ㄱ(g) ㄲ(gg,kk,qq,c) ㄴ(n) ㄷ(d) ㄹ(l) ㄹ(r) ㅁ(m) ㅂ(b,v) ㅅ(s)
  ㅆ(ss) ㅇ(ng) ㅇ(x) ㅈ(j) ㅊ(ch) ㅋ(k,q) ㅌ(t) ㅍ(p,f) ㅎ(h)

CHOSEONG:
  ㄸ(dd,tt) ㅃ(bb,vv) ㅉ(jj)

JONGSEONG:
  ㄳ(gs) ㄵ(nj) ㄶ(nh) ㄺ(lg) ㄻ(lm) ㄼ(lb) ㄽ(ls) ㄾ(lt) ㄿ(lp) ㅀ(lh) ㅄ(bs)

JUNGSEONG:
  ㅏ(a) ㅐ(ai,ae) ㅑ (ya,ia) ㅒ(yai,yae,iae) ㅓ(eo) ㅔ(e,eoi) ㅕ(yeo,ieo)
  ㅖ(ye,ie,yeoi) ㅗ(o) ㅘ(oa,wa,ua) ㅙ(oai,wae,uae,oae) ㅚ(oi,woe,uoe,oe)
  ㅛ(yo,io) ㅜ(u,w,oo) ㅝ(ueo,wo,uo) ㅞ(ue,we) ㅟ(wi) ㅠ(yu,iu) ㅡ(eu)
  ㅢ(eui,ui) ㅣ(i,y,ee)

Special:
  Type uppercase letter to specify CHOSEONG explicitly.
  Type "I" to toggle the composed-syllable mode and isolated-jamo mode.
  Type "&gt;&gt;" to fullwidth ASCII letter mode, "&lt;&lt;" to shift out the mode.
  Type "Z" and a key to input fullwidth version of the key.
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">latn-post (language:generic name:latn-post  
<img src="icon-latn-post.png" border="1" style="vertical-align:middle;">
 )</p>
 
<pre class="fragment"><div class="fragment">
 Input method for Latin script with postfix modifiers.<br/>
 </p>
<div align="center">
<img src="latn-post.png" alt="latn-post.png"/>
</div>
   
</div></pre>
 </li>
<li>
<p class="startli">latn-pre (language:generic name:latn-pre  
<img src="icon-latn-pre.png" border="1" style="vertical-align:middle;">
 )</p>
 
<pre class="fragment"><div class="fragment">
 Input method for Latin script with prefix modifiers.<br/>
 </p>
<div align="center">
<img src="latn-pre.png" alt="latn-pre.png"/>
</div>
   
</div></pre>
 </li>
<li>
<p class="startli">lo-kbd (language:lo name:kbd  
<img src="icon-lo-kbd.png" border="1" style="vertical-align:middle;">
 )</p>
 
<pre class="fragment"><div class="fragment">
 Input method for Lao using Lao keyboard layout.<br/>
  
</div></pre>
<p class="endli"></p>
</li>
<li>
<p class="startli">lo-lrt.mim (language:lo name:lrt 
 icon:<img src="icon-lo-lrt.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Lao input method using Lao-Roman transliteration.
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">ml-itrans.mim (language:ml name:itrans 
 icon:<img src="icon-ml-itrans.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Malayalam input method by ITRANS transliteration.
For the detail of ITRANS, see the page:
  &lt;http://www.aczoom.com/itrans/&gt;
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">my-kbd.mim (language:my name:kbd 
 icon:<img src="icon-my-kbd.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Myanmar input method simulating the Myanmar keyboard.
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">or-itrans.mim (language:or name:itrans 
 icon:<img src="icon-or-itrans.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Oriya input method by ITRANS transliteration.
For the detail of ITRANS, see the page:
  &lt;http://www.aczoom.com/itrans/&gt;
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">pa-itrans.mim (language:pa name:itrans 
 icon:<img src="icon-pa-itrans.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Panjabi input method by ITRANS transliteration.
For the detail of ITRANS, see the page:
  &lt;http://www.aczoom.com/itrans/&gt;
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">rfc1345.mim (language:generic name:rfc1345 
 icon:<img src="icon-rfc1345.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Generic input method using RFC1345 mnemonics.
Input characters by typing &amp; (ampersand) followed by two or three
keys.  It doesn't include RFC1345 mnemonics for ASCII and
Control-1 characters (U+0000..U+009F) except for &amp; itself which
can be input by typing &amp; twice.
</pre></div> </li>
<li>
<p class="startli">ru-kbd (language:ru name:kbd  
<img src="icon-ru-kbd.png" border="1" style="vertical-align:middle;">
 )</p>
 
<pre class="fragment"><div class="fragment">
 Input method for Russian by simulating the Russian keyboard.<br/>
 </p>
<div align="center">
<img src="ru-kbd.png" alt="ru-kbd.png"/>
<p><strong>Keyboard Layout</strong></p></div>
  
</div></pre>
 </li>
<li>
<p class="startli">ru-phonetic (language:ru name:phonetic  
<img src="icon-ru-phonetic.png" border="1" style="vertical-align:middle;">
 )</p>
 
<pre class="fragment"><div class="fragment">
 Input method for Russian simulating the keyboard layout based on<br/>
 Roman transcription by phonetic resemblance.<br/>
 </p>
<div align="center">
<img src="ru-phonetic.png" alt="ru-phonetic.png"/>
<p><strong>Keyboard Layout</strong></p></div>
  
</div></pre>
 </li>
<li>
<p class="startli">ru-yawerty (language:ru name:yawerty  
<img src="icon-ru-yawerty.png" border="1" style="vertical-align:middle;">
 )</p>
 
<pre class="fragment"><div class="fragment">
 Input method for Russian simulating the keyboard layout based on<br/>
 Roman transcription by phonetic resemblance.<br/>
 </p>
<div align="center">
<img src="ru-yawerty.png" alt="ru-yawerty.png"/>
<p><strong>Keyboard Layout</strong></p></div>
 When preceded by a '/', the second and the third rows (number key<br/>
 row) change as follows.<br/>
 </p>
<div align="center">
<img src="ru-yawerty2.png" alt="ru-yawerty2.png"/>
</div>
   
</div></pre>
<p class="endli"></p>
</li>
<li>
<p class="startli">sa-harvard-kyoto.mim (language:sa name:harvard-kyoto 
 icon:none
 )</p>
<div class="fragment"><pre class="fragment">
Sanscrit input method with Harvard-Kyoto convention.
The table is based on 
  &lt;http://en.wikipedia.org/wiki/Harvard-Kyoto&gt;
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">si-samanala.mim (language:si name:samanala 
 icon:<img src="icon-si-samanala.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Sinhala input method using transliteration.
The transleteration system is based on the Samanala version 2
developed by Prasad Dharmasena.
  &lt;http://www.nongnu.org/sinhala/doc/transliteration/sinhala-transliteration_1.html&gt;
</pre></div> </li>
<li>
si-wijesekera.mim (extra-name:nil, only for inclusion) Not yet officially released. </li>
<li>
<p class="startli">sk-kbd (language:sk name:kbd  
<img src="icon-sk-kbd.png" border="1" style="vertical-align:middle;">
 )</p>
 
<pre class="fragment"><div class="fragment">
 Input method for Slovak simulating the standard Slovak keyboard.<br/>
 </p>
<div align="center">
<img src="sk-kbd.png" alt="sk-kbd.png"/>
<p><strong>Keyboard Layout</strong></p></div>
 You can also input more characters by the following key sequences:<br/>
 </p>
<div align="center">
<img src="sk-kbd2.png" alt="sk-kbd2.png"/>
</div>
   
</div></pre>
 </li>
<li>
<p class="startli">sr-kbd (language:sr name:kbd  
<img src="icon-sr-kbd.png" border="1" style="vertical-align:middle;">
 )</p>
 
<pre class="fragment"><div class="fragment">
 Input method for Serbian.<br/>
 Simulating Serbian Cyrillic keyboard on American keyboard.<br/>
 </p>
<div align="center">
<img src="sr-kbd.png" alt="sr-kbd.png"/>
<p><strong>Keyboard Layout</strong></p></div>
  
</div></pre>
<p class="endli"></p>
</li>
<li>
<p class="startli">sv-post.mim (language:sv name:post 
 icon:<img src="icon-sv-post.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Swedish input method with postfix modifiers.
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">syrc-phonetic.mim (language:generic name:syrc-phonetic 
 icon:<img src="icon-syrc-phonetic.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Syriac input method simulating the Syriac phonetic keyboard.
The keyboard layout was published by Beth Mardutho: The Syriac Institute.
  &lt;http://www.BethMardutho.org&gt;
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">ta-itrans.mim (language:ta name:itrans 
 icon:<img src="icon-ta-itrans.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Tamil input method by ITRANS transliteration.
For the detail of ITRANS, see the page:
  &lt;http://www.aczoom.com/itrans/&gt;
</pre></div> </li>
<li>
<p class="startli">ta-lk-renganathan.mim (extra-name:nil, only for inclusion) Not yet officially released.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">te-itrans.mim (language:te name:itrans 
 icon:<img src="icon-te-itrans.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Telugu input method by ITRANS transliteration.
For the detail of ITRANS, see the page:
  &lt;http://www.aczoom.com/itrans/&gt;
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">th-kesmanee.mim (language:th name:kesmanee 
 icon:<img src="icon-th-kesmanee.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Thai input method simulating the Kesmanee keyboard
with WTT 2.0 input sequence correction.
The correction algorithm follows the one shown in the following 
  &lt;http://linux.thai.net/~thep/th-xim/&gt;
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">th-pattachote.mim (language:th name:pattachote 
 icon:<img src="icon-th-pattachote.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Thai input method simulating the Pattachote keyboard
with WTT 2.0 input sequence correction.
The correction algorithm follows the one shown in the following 
  &lt;http://linux.thai.net/~thep/th-xim/&gt;
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">th-tis820.mim (language:th name:tis820 
 icon:<img src="icon-th-tis820.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Thai input method simulating the TIS-820.2538 keyboard
with WTT 2.0 input sequence correction.
The correction algorithm follows the one shown in the following 
  &lt;http://linux.thai.net/~thep/th-xim/&gt;
</pre></div> </li>
<li>
<p class="startli">ua-kbd (language:ua name:kbd  
<img src="icon-ua-kbd.png" border="1" style="vertical-align:middle;">
 )</p>
 
<pre class="fragment"><div class="fragment">
 Input method for Ukrainian by simulating the Ukrainian keyboard.<br/>
 </p>
<div align="center">
<img src="ua-kbd.png" alt="ua-kbd.png"/>
<p><strong>Keyboard Layout</strong></p></div>
  
</div></pre>
<p class="endli"></p>
</li>
<li>
<p class="startli">ug-kbd.mim (language:ug name:kbd 
 icon:none
 )</p>
<div class="fragment"><pre class="fragment">
Uyghur input method simulating an Uyghur keyboard layout.
Based on &lt;http://tarim.yulghun.com/docs/src/uyghur.xkb&gt;
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">unicode.mim (language:generic name:unicode 
 icon:<img src="icon-unicode.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Unicode の BMP 領域の文字を１６進で入力
C-u に続けてUnicode の文字コードを４桁の１６進数をタイプして
Unicode 文字を入力する。
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">vi-base.mim (extra-name:nil, only for inclusion) </p>
<div class="fragment"><pre class="fragment">
Provide bases for Vietnamese input methods.
This is acutually not a standalone input method, but is expected
to be included in the other Vietnamese input method (e.g. vi-telex, vi-vni).
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">vi-tcvn.mim (language:vi name:tcvn 
 icon:<img src="icon-vi-tcvn.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Vietnames input method using the TCVN6064 sequence.
Typing Backslash ('\') toggles the normal mode and English mode.
The following variables are customizable:
  tone-mark-on-last: control tone mark position in equivocal cases
  backspace-is-undo: control the action of Backspace key (delete or undo)
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">vi-telex.mim (language:vi name:telex 
 icon:<img src="icon-vi-telex.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Vietnames input method using the TELEX key sequence.
Typing Backslash ('\') toggles the normal mode and English mode.
The following variables are customizable:
  tone-mark-on-last: control tone mark position in equivocal cases
  backspace-is-undo: control the action of Backspace key (delete or undo)
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">vi-viqr.mim (language:vi name:viqr 
 icon:<img src="icon-vi-viqr.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Vietnames input method using the VIQR key sequence.
Typing Backslash ('\') toggles the normal mode and English mode.
The following variables are customizable:
  tone-mark-on-last: control tone mark position in equivocal cases
  backspace-is-undo: control the action of Backspace key (delete or undo)
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">vi-vni.mim (language:vi name:vni 
 icon:<img src="icon-vi-vni.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Vietnames input method using the VNI key sequence.
Typing Backslash ('\') toggles the normal mode and English mode.
The following variables are customizable:
  tone-mark-on-last: control tone mark position in equivocal cases
  backspace-is-undo: control the action of Backspace key (delete or undo)
</pre></div> </li>
<li>
<p class="startli">zh-bopomofo (language:zh name:bopomofo  
<img src="icon-zh-bopomofo.png" border="1" style="vertical-align:middle;">
 )</p>
 
<pre class="fragment"><div class="fragment">
 Input method for Bopomofo.<br/>
 </p>
<div align="center">
<img src="bopo-kbd.png" alt="bopo-kbd.png"/>
<p><strong>Keyboard Layout</strong></p></div>
  
</div></pre>
<p class="endli"></p>
</li>
<li>
<p class="startli">zh-cangjie.mim (language:zh name:cangjie 
 icon:<img src="icon-zh-cangjie.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Chinese input method with CANGJIE method.
In addition to Chinese characters, fullwidth latin characters and
symbols are available in fullwidth mode (turns on and off by
"&gt;&gt;" and "&lt;&lt;" respectively).  This mode can also be turned on
temporarily by typing "Z".
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">zh-pinyin.mim (language:zh name:pinyin 
 icon:<img src="icon-zh-pinyin.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Input method for Chinese Pinyin characters.
Note that it's not for inputting Han characters.
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">zh-py-b5.mim (language:zh name:py-b5 
 icon:<img src="icon-zh-py-b5.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Chinese Big5 input method with Pinyin sequence.
In addition to Chinese characters, fullwidth latin characters and
symbols are available in fullwidth mode (turns on and off by
"&gt;&gt;" and "&lt;&lt;" respectively).  This mode can also be turned on
temporarily by typing "Z".
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">zh-py-gb.mim (language:zh name:py-gb 
 icon:<img src="icon-zh-py-gb.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Chinese GB2312 input method with Pinyin sequence.
In addition to Chinese characters, fullwidth latin characters and
symbols are available in fullwidth mode (turns on and off by
"&gt;&gt;" and "&lt;&lt;" respectively).  This mode can also be turned on
temporarily by typing "Z".
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">zh-py.mim (language:zh name:py 
 icon:<img src="icon-zh-py.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Chinese input method with Pinyin sequence.
In addition to Chinese characters, fullwidth latin characters and
symbols are available in fullwidth mode (turns on and off by
"&gt;&gt;" and "&lt;&lt;" respectively).  This mode can also be turned on
temporarily by typing "Z".
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">zh-quick.mim (language:zh name:quick 
 icon:<img src="icon-zh-quick.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Chinese input method with QUICK method.
In addition to Chinese characters, fullwidth latin characters and
symbols are available in fullwidth mode (turns on and off by
"&gt;&gt;" and "&lt;&lt;" respectively).  This mode can also be turned on
temporarily by typing "Z".
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">zh-tonepy-b5.mim (language:zh name:tonepy-b5 
 icon:<img src="icon-zh-tonepy-b5.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Chinese Big5 input method with Pinyin+Tone sequence.
In addition to Chinese characters, fullwidth latin characters and
symbols are available in fullwidth mode (turns on and off by
"&gt;&gt;" and "&lt;&lt;" respectively).  This mode can also be turned on
temporarily by typing "Z".
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">zh-tonepy-gb.mim (language:zh name:tonepy-gb 
 icon:<img src="icon-zh-tonepy-gb.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Chinese GB2312 input method with Pinyin+Tone sequence.
In addition to Chinese characters, fullwidth latin characters and
symbols are available in fullwidth mode (turns on and off by
"&gt;&gt;" and "&lt;&lt;" respectively).  This mode can also be turned on
temporarily by typing "Z".
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">zh-tonepy.mim (language:zh name:tonepy 
 icon:<img src="icon-zh-tonepy.png" border="1" style="vertical-align:middle;">
 )</p>
<div class="fragment"><pre class="fragment">
Chinese input method with Pinyin-and-tone sequence.
In addition to Chinese characters, fullwidth latin characters and
symbols are available in fullwidth mode (turns on and off by
"&gt;&gt;" and "&lt;&lt;" respectively).  This mode can also be turned on
temporarily by typing "Z".
</pre></div> </li>
<li>
<p class="startli">zh-util.mim (extra-name:nil, only for inclusion) </p>
<div class="fragment"><pre class="fragment">
Provide utilities for Chinese input methods.
This is acutually not a standalone input method, but is expected
to be included in the other Chinese input method (e.g. zh-py).
</pre></div><p class="endli"></p>
</li>
</ul>
<h2><a class="anchor" id="flt-list">
Font Layout Table</a></h2>
<p>See <a class="el" href="m17nDBFormat.html#mdbFLT">Font Layout Table</a> for the format of these files. </p>
<ul>
<li>
<p class="startli">ARAB-OTF-NO-GPOS.flt</p>
<p>For Arabic OpenType fonts that don't have GPOS table to draw the Arabic script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">ARAB-OTF.flt</p>
<p>For Arabic OpenType fonts to draw the Arabic script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">ARAB.flt</p>
<p>For Arabic fonts of Unicode encoding to draw Arabic script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">BENG-OTF.flt</p>
<p>For Bengali OpenType fonts to draw the Bengali script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">BNG2-OTF.flt</p>
<p>For bng2 OpenType fonts to draw the Bengali script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">CHAM-GENERIC.flt</p>
<p>For the Cham proportional fonts to draw Cham script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">COMBINING.flt</p>
<p>For combining diacritical marsk (U+0300..U+036F).</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">DEV2-OTF.flt</p>
<p>For dev2 OpenType fonts to draw the Devanagari script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">DEVA-CDAC.flt For the font DVYG0ntt.ttf (developed by C-DAC, encoding is ISFOC) to draw Devanagari script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">DEVA-OTF.flt</p>
<p>For Devanagari OpenType fonts to draw the Devanagari script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">GJR2-OTF.flt</p>
<p>For gjr2 OpenType fonts to draw the Gujarati script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">GUJR-OTF.flt</p>
<p>For Gujarati OpenType fonts to draw the Gujarati script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">GUR2-OTF.flt</p>
<p>For gur2 OpenType fonts to draw the Gurmukhi script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">GURU-OTF.flt</p>
<p>For Gurmukhi OpenType fonts to draw the Gurmukhi script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">HEBR-FF.flt</p>
<p>For Hebrew fonts of Unicode encoding to draw the Hebrew script. This is for such fonts that do not require an explicit combining code because accents and points have negative lbearing.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">HEBR-OTF.flt</p>
<p>For Hebrew OpenType fonts to draw the Hebrew script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">HEBR.flt</p>
<p>For Hebrew fonts of Unicode encoding to draw Hebrew script. This is for such a font that requires explicit combining code to draw accents and points.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">KHMR-ANLONG.flt</p>
<p>For the font ANLONG.TTF to draw Khmer script. The font is available at: </p>
<ul>
<li>
infopage: <a href="http://www.freelang.com/polices/index.html">http://www.freelang.com/polices/index.html</a> </li>
<li>
download: <a href="http://www.freelang.com/download/fonts/ttf_khmer_anlong.zip">http://www.freelang.com/download/fonts/ttf_khmer_anlong.zip</a> </li>
</ul>
<p class="endli"></p>
</li>
<li>
<p class="startli">KHMR-OTF.flt</p>
<p>For Khmer OpenType fonts to draw Khmer. A Font is available from &lt;<a href="http://www.khmeros.info/drupal/?q=en/download/fonts">http://www.khmeros.info/drupal/?q=en/download/fonts</a>&gt;.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">KND2-OTF.flt</p>
<p>For knd2 OpenType fonts to draw the Kannada script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">KNDA-OTF.flt</p>
<p>For Kannada OpenType fonts to draw the Kannada script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">LAOO-ALICE.flt</p>
<p>For the font ALICE0.TTF to draw Lao script. The font is available at: </p>
<ul>
<li>
infopage: <a href="http://cg.scs.carleton.ca/~luc/laos.html">http://cg.scs.carleton.ca/~luc/laos.html</a> </li>
<li>
download: <a href="http://sources.asie.free.fr/aide/polices/ALICE0.TTF">http://sources.asie.free.fr/aide/polices/ALICE0.TTF</a> </li>
</ul>
<p class="endli"></p>
</li>
<li>
<p class="startli">LAOO-GENERIC.flt</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">LAOO-MULE.flt</p>
<p>For Lao fonts of mule encoding to draw Lao script. The font is available at: </p>
<ul>
<li>
infopage: <a href="http://www.gnu.org/directory/localization/intlfonts.html">http://www.gnu.org/directory/localization/intlfonts.html</a> </li>
<li>
download: <a href="ftp://ftp.gnu.org/pub/gnu/intlfonts/intlfonts-1.2.1.tar.gz">ftp://ftp.gnu.org/pub/gnu/intlfonts/intlfonts-1.2.1.tar.gz</a> </li>
</ul>
<p class="endli"></p>
</li>
<li>
<p class="startli">LAOO-OTF.flt</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">MLM2-OTF.flt</p>
<p>For mlm2 OpenType fonts to draw the Malayalam script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">MLYM-CDAC.flt</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">MLYM-OTF.flt</p>
<p>For Malayalam OpenType fonts to draw the reformed Malayalam script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">MLYM-RACHANA.flt</p>
<p>For the Rachana Malayalam fonts to draw the traditional Malayalam script. This fonts handles virtually all ligatures with the AKHN feature without character reordering.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">MYMR-MYAZEDI.flt</p>
<p>For the Myanmar Zedi family fonts to draw Myanmar script. </p>
<ul>
<li>
download: <a href="http://www.myazedi.com/downloads/MyaZedi_M17N.ttf">http://www.myazedi.com/downloads/MyaZedi_M17N.ttf</a> </li>
</ul>
<p class="endli"></p>
</li>
<li>
<p class="startli">MYMR-SIL.flt</p>
<p>For Padauk.ttf to draw the Myanmar script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">NO-CTL.flt</p>
<p>This is to suppress Complex Text Layout for many scripts. This FLT can be used for fonts that have Unicode encoding. Even if a glyph in a font has zero width, the glyph is displayed as if it is a spacing glyph.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">ORY2-OTF.flt</p>
<p>For ory2 OpenType fonts to draw the Oriya script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">ORYA-OTF.flt</p>
<p>For Oriya OpenType fonts to draw the Oriya script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">SINH-OTF.flt</p>
<p>For Sinhala OpenType fonts to draw Sinhala. A Font is available from &lt;<a href="http://sinhala.sourceforge.net/files/">http://sinhala.sourceforge.net/files/</a>&gt;.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">SYRC-OTF.flt</p>
<p>For Syriac OpenType fonts to draw the Syriac script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">TAML-CDAC.flt</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">TAML-OTF.flt</p>
<p>For Tamil OpenType fonts to draw the Tamil script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">TEL2-OTF.flt</p>
<p>For tel2 OpenType fonts to draw the Telugu script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">TELU-OTF.flt</p>
<p>For Telugu OpenType fonts to draw the Telugu script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">THAA-OTF.flt</p>
<p>For Thaana OpenType fonts to draw the Thaana script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">THAI-GENERIC.flt</p>
<p>For the Thai proportional fonts to draw Thai script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">THAI-NORASI.flt</p>
<p>For the Thai Norasi family fonts to draw Thai script. The fonts are available at: </p>
<ul>
<li>
debian package: ttf-thai-tlwg </li>
</ul>
<p class="endli"></p>
</li>
<li>
<p class="startli">THAI-OTF.flt</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">THAI-TIS620.flt</p>
<p>For fixed width fonts of TIS620 encoding to draw Thai script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">TIBT-MTIB.flt</p>
<p>For the Tibetan TrueType font developped by Dr. Tomabechi to draw Tibetan script. The font is available at: </p>
<ul>
<li>
donwload: <a href="http://www.m17n.org/m17n-lib-download/mtib.ttf">http://www.m17n.org/m17n-lib-download/mtib.ttf</a> </li>
</ul>
<p class="endli"></p>
</li>
<li>
<p class="startli">TIBT-MULE.flt</p>
<p>For the muletibetan font developped by Dr. Tomabechi to draw Tibetan script. The font is available at: </p>
<ul>
<li>
infopage: <a href="http://www.gnu.org/directory/Localization/intlfonts.html">http://www.gnu.org/directory/Localization/intlfonts.html</a> </li>
<li>
download: <a href="ftp://ftp.gnu.org/pub/gnu/intlfonts/intlfonts-1.2.1.tar.gz">ftp://ftp.gnu.org/pub/gnu/intlfonts/intlfonts-1.2.1.tar.gz</a> </li>
</ul>
<p class="endli"></p>
</li>
<li>
<p class="startli">TIBT-OTF.flt</p>
<p>For TibetanMachineUniAlpha.ttf to draw Tibetan script. The font is available at: </p>
<ul>
<li>
debian package: ttf-tmuni </li>
</ul>
<p class="endli"></p>
</li>
<li>
<p class="startli">TML2-OTF.flt</p>
<p>For tml2 OpenType fonts to draw the Tamil script.</p>
<p class="endli"></p>
</li>
</ul>
<h2><a class="anchor" id="fontset-list">
Fontset</a></h2>
<p>See <a class="el" href="m17nDBFormat.html#mdbFontset">Fontset</a> for the format of these files. </p>
<ul>
<li>
<p class="startli">default.fst</p>
<p>The default fontset. It is the union of generic.fst and xfont.fst.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">xfont.fst</p>
<p>Fontset using only X fonts.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">truetype.fst</p>
<p>Fontset using only freely available TrueType fonts. </p>
<ul>
<li>
DejaVuSans.ttf (family: DejaVu Sans) <ul>
<li>
debian package: ttf-dejavu-core </li>
</ul>
</li>
<li>
SILEOT.ttf (family: ezra sil; for Hebrew) <ul>
<li>
debian package: ttf-sil-ezra </li>
</ul>
</li>
<li>
ScheherazadeRegOT.ttf (family: scheherazade; for Arabic) <ul>
<li>
debian package: ttf-sil-scheherazade </li>
</ul>
</li>
<li>
SyrCOMTalada.otf (family: estrangelo talada; for Syriac) </li>
<li>
SyrCOMJerusalem.otf (family: serto jerusalem; for Syriac) </li>
<li>
SyrCOMAdiabene.otf (family: east syriac adiabene; for Syriac) <ul>
<li>
debian package: ttf-xfree86-nonfree-syriac </li>
</ul>
</li>
<li>
mvboli.ttf (family: mv boli; for Thaana) <ul>
<li>
dowload: <a href="http://mvlinux.blogspot.com/2010/02/thaana-font-installer-for-linux-deb.html">http://mvlinux.blogspot.com/2010/02/thaana-font-installer-for-linux-deb.html</a> </li>
</ul>
</li>
<li>
gargi.ttf (family: gargi; for Devanagari) </li>
<li>
lohit_hi.ttf (family: lohit hindi; for Devanagari) <ul>
<li>
debian package: ttf-devanagari-fonts </li>
</ul>
</li>
<li>
lohit_bn.ttf (family: lohit bengali; for Bengali) </li>
<li>
MuktiNarrow.ttf (family: mukti narrow; for Bengali) <ul>
<li>
debian package: ttf-bengali-fonts </li>
</ul>
</li>
<li>
lohit_pa.ttf (family: lohit punjabi; for Gurmukhi) </li>
<li>
Saab.ttf (family: saab; for Gurmukhi) <ul>
<li>
debian package: ttf-punjabi-fonts </li>
</ul>
</li>
<li>
lohit_gu.ttf (family: lohit gujarati; for Gujarati) </li>
<li>
Rekha.ttf (family: rekha; for Gujarati) <ul>
<li>
debian package: ttf-gujarati-fonts </li>
</ul>
</li>
<li>
utkal.ttf (family: utkal; for Oriya) <ul>
<li>
debian package: ttf-oriya-fonts </li>
</ul>
</li>
<li>
lohit_ta.ttf (family: lohit tamil; for Tamil) <ul>
<li>
debian package: ttf-tamil-fonts </li>
</ul>
</li>
<li>
Pothana2000.ttf (family: pothana2000; for Telugu) </li>
<li>
Vemana.ttf (family: vemana2000; for Telugu) <ul>
<li>
debian package: ttf-telugu-fonts </li>
</ul>
</li>
<li>
Kedage-n.ttf (family: kedage; for Kannada) </li>
<li>
Malige-n.ttf (family: mallige; for Kannada) <ul>
<li>
debian package: ttf-kannada-fonts </li>
</ul>
</li>
<li>
Meera_04.ttf (family: meera; for Malayalam) </li>
<li>
Rachana_04.ttf (family: rachana; for Malayalam) <ul>
<li>
debian package: ttf-malayalam-fonts </li>
</ul>
</li>
<li>
lklug.ttf (family: lklug; for Sinhala) <ul>
<li>
debian package: ttf-sinhala-lklug </li>
</ul>
</li>
<li>
TibetanMachineUniAlpha.ttf (family: tibetan machine uni; for Tibetan) <ul>
<li>
debian package: ttf-tmuni </li>
</ul>
</li>
<li>
Norasi.ttf (family: norasi; for Thai) <ul>
<li>
debian package: ttf-thai-tlwg </li>
</ul>
</li>
<li>
Phetsarath_OT.ttf (family: phetsarath ot; for Lao) <ul>
<li>
debian package: ttf-lao </li>
</ul>
</li>
<li>
Padauk.ttf (family: padauk; for Myanmar) <ul>
<li>
debian package: ttf-sil-padauk </li>
</ul>
</li>
<li>
KhmerOS.ttf (family: khmer os; for Khmer) <ul>
<li>
debian package: ttf-khmeros </li>
</ul>
</li>
<li>
wqy-zenhei.ttf (family: wenquanyi zen hei; for Chinese) <ul>
<li>
debian package: ttf-wqy-zenhei </li>
</ul>
</li>
<li>
TakaoGothic.ttf (family: takaogothic) <ul>
<li>
debian package: ttf-takao-gothic </li>
</ul>
</li>
<li>
UnDotum.ttf (family: undotum; for Korean) <ul>
<li>
debian package: ttf-unfonts-core </li>
</ul>
</li>
<li>
Abyssinica_SIL.ttf (family: abyssinica sil; for Ethiopic) <ul>
<li>
debian package: ttf-sil-abyssinica </li>
</ul>
</li>
</ul>
<p class="endli"></p>
</li>
<li>
<p class="startli">generic.fst</p>
<p>Fontset mainly using generic font specifications. See the documentation of the fontset "default" for the information about each font.</p>
<p class="endli"></p>
</li>
</ul>
<h2><a class="anchor" id="misc-list">
The other data</a></h2>
<ul>
<li>
<p class="startli">FONTENC.tbl</p>
<p>Information about encodings of fonts. See the section <a class="el" href="m17nDBFormat.html#mdbFontEncoding">Font Encoding</a>.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">FONTSIZE.tbl</p>
<p>Information about how much to resize fonts. See the section <a class="el" href="m17nDBFormat.html#mdbFontSize">Font Size</a>.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">CHARSET.tbl</p>
<p>List of charset definitions. See the section <a class="el" href="m17nDBFormat.html#mdbCharsetList">List of character set definitions</a> for the format of this file.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">CODING.tbl</p>
<p>List of coding system definitions. See the section <a class="el" href="m17nDBFormat.html#mdbCodingList">List of coding system definitions</a> for the format of this file.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">SCRIPT-OTF.tbl</p>
<p>Table of scripts vs the corresponding OTF script tags.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">SCRIPT-LANGUAGE.tbl</p>
<p>Table of scripts vs languages using the corresponding script.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">SCRIPT-LANGUAGE.tbl</p>
<p>Table of scripts vs languages using the corresponding script.</p>
<p class="endli"></p>
</li>
</ul>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
